notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Port details
diff-pdf Tool for visually comparing two PDFs
0.2.27_8 graphics on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port 0.2.27Version of this port present on the latest quarterly branch.
Maintainer: uzsolt@uzsolt.hu search for ports maintained by this maintainer
Port Added: 2018-07-17 17:52:42
Last Update: 2019-07-31 22:14:15
SVN Revision: 507740
License: GPLv2
Description:
SVNWeb : Homepage
pkg-plist: as obtained via: make generate-plist
Expand this list (4 items)
  1. bin/diff-pdf
  2. /usr/local/share/licenses/diff-pdf-0.2.27_8/catalog.mk
  3. /usr/local/share/licenses/diff-pdf-0.2.27_8/LICENSE
  4. /usr/local/share/licenses/diff-pdf-0.2.27_8/GPLv2
Collapse this list.
Dependency lines:
  • diff-pdf>0:graphics/diff-pdf
To install the port: cd /usr/ports/graphics/diff-pdf/ && make install clean
To add the package: pkg install diff-pdf
PKGNAME: diff-pdf
Flavors: there is no flavor information for this port.
distinfo:

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. autoconf>=2.69 : devel/autoconf
  2. automake>=1.16.1 : devel/automake
  3. pkgconf>=1.3.0_1 : devel/pkgconf
Library dependencies:
  1. libpoppler.so : graphics/poppler
  2. libpoppler-glib.so : graphics/poppler-glib
  3. libcairo.so : graphics/cairo
  4. libglib-2.0.so : devel/glib20
  5. libintl.so : devel/gettext-runtime
  6. libwx_baseu-2.8.so : x11-toolkits/wxgtk28
There are no ports dependent upon this port

Configuration Options

USES:

Master Sites:
  1. https://codeload.github.com/vslavik/diff-pdf/tar.gz/v0.2-27-gc4d6722?dummy=/

Number of commits found: 12

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
31 Jul 2019 21:14:15
Original commit files touched by this commit  0.2.27_8
Revision:507740
tcberner search for other commits by this committer
graphics/poppler: update to 0.79.0

Release 0.79.0:
        core:
         * Fix regression on TextSelectionPainter
         * Fix parsing of DefaultAppearance
         * Fix memory leak in PostScriptFunction
         * Fix crashes in fuzzed files

        qt5:
         * Implemented support for setIcon by changing appearance
         * Added option to set the form available to print
         * QString::null is deprecated, use QString()
         * Replace deprecated qStableSort with std::stable_sort

        build system:
         * Turn README into README.md and expand it

PR:		239277
Exp-run by:	antoine
Approved by:	gnome (kwm, implicit)
26 Jul 2019 20:46:57
Original commit files touched by this commit  0.2.27_7
Revision:507372
gerald search for other commits by this committer
Bump PORTREVISION for ports depending on the canonical version of GCC
as defined in Mk/bsd.default-versions.mk which has moved from GCC 8.3
to GCC 9.1 under most circumstances now after revision 507371.

This includes ports
 - with USE_GCC=yes or USE_GCC=any,
 - with USES=fortran,
 - using Mk/bsd.octave.mk which in turn features USES=fortran, and
 - with USES=compiler specifying openmp, nestedfct, c11, c++0x, c++11-lang,
   c++11-lib, c++14-lang, c++17-lang, or gcc-c++11-lib
plus, everything INDEX-11 shows with a dependency on lang/gcc9 now.

PR:		238330
29 Jun 2019 08:55:18
Original commit files touched by this commit  0.2.27_6
Revision:505331
tcberner search for other commits by this committer
graphics/poppler: update to 0.78.0

Release 0.78.0:
        core:
         * Fix line annotation arrows for usage in dimensioning
         * Handle Ink annots without an InkList but with an AP
         * Fix typos preventing parsing of Movie start and duration
         * Fix crash on malformed files

        glib:
         * Add poppler_document_create_dests_tree()
         * Don't use the deprecated g_type_class_add_private()
         * Document the differences between render() and render_for_printing()
         * Fix introspection for poppler_document_new_from_data
         * Don't create PopplerInputStream with length 0. Issue #414
(Only the first 15 lines of the commit message are shown above View all of this commit message)
01 Jun 2019 06:39:23
Original commit files touched by this commit  0.2.27_5
Revision:503222
tcberner search for other commits by this committer
graphics/poppler: update to 0.77.0

Release 0.77.0:
        core:
         * Fix crash on signature handling. Issue #766
         * Fix small memory leak in SignatureHandler::getCertificateInfo
         * Splash: Restrict filling of overlapping boxes. Issue #750
         * Fix crash on malformed files

        qt5:
         * Fix optional content handling with exclusive layers

        cpp:
         * Make render_page thread-safe

        utils:
         * pdfsig: Fix small memory leak
         * pdftotext: Fix typo in manpage

PR:		238115
Exp-run by:	antoine
Approved by:	gnome (kwm, implicit)
13 May 2019 18:33:10
Original commit files touched by this commit  0.2.27_4
Revision:501583
tcberner search for other commits by this committer
graphics/poppler: update to 0.76.1

From Changelog at https://poppler.freedesktop.org/releases.html :

Release 0.76.1:
        core:
         * Make the mul tables be calculated at compile time with constexpr.
         * splash: Fix compile with SPLASH_CMYK enabled
         * Some typo fixing in error messages

        qt5:
         * Fix regression in annotation handling

        build system:
         * Fix some typos in build system output and comments
(Only the first 15 lines of the commit message are shown above View all of this commit message)
27 Mar 2019 21:29:31
Original commit files touched by this commit  0.2.27_3
Revision:496982
tcberner search for other commits by this committer
graphics/poppler: update to 0.75

Release 0.75.0:
	core:
		* Fix rendering of some annotations
		* Fix crashes in broken files
		* Small internal code improvements

	cpp:
		* Improve documentation
		* tests: Add showing version information to poppler-dump

	utils:
		* pdfattach: new util
		* pdftohtml: add -dataurls parameter
		* pdftoppm: add -sep and -forcenum parameters
		* pdftohtml: make singleHtml and stout not mutually exclusive
		* pdfsig: fix use after free

- bump revisions of dependent ports due to shlib version change

PR:		236791
Exp-run by:	antoine
Approved by:	kwm (gnome)
13 Mar 2019 04:39:03
Original commit files touched by this commit  0.2.27_2
Revision:495541
linimon search for other commits by this committer
Fix build on gcc-based architectures:

  /usr/local/lib/libpoppler.so: undefined reference to
`std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char>
>::compare(unsigned long, unsigned long, char const*, unsigned long)
const@GLIBCXX_3.4.21'

Approved by:	portmgr (tier-2 blanket)
11 Feb 2019 19:44:51
Original commit files touched by this commit  0.2.27_2
Revision:492733
tcberner search for other commits by this committer
Bump revisions after poppler upgrade.

As reported libreoffice requires a bump in revision, to be on the save
side, bump all the consumers of poppler.

Reported by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>
16 Dec 2018 15:10:42
Original commit files touched by this commit  0.2.27_1
Revision:487596
tcberner search for other commits by this committer
Update poppler to 0.72

This update brings many changes
- the build system has switched to cmake
- some ports needed to be switched to use their bundled
  version of poppler:
  - print/tex-luatex (r487226)
  - print/tex-xetex (r487226)
  - editors/opeonffice-devel
- Qt4 support has been dropped
  - print/frescobaldi has been removed for this reason.
- most of the added patches can be removed with the next
  upgrade of the concerning port.

PR:		233452
Exp-run by:	antoine
Approved by:	gnome (kwm)
Differential Revision:	https://reviews.freebsd.org/D17456
20 Jul 2018 13:03:25
Original commit files touched by this commit  0.2.27
Revision:475011
tobik search for other commits by this committer
Unbreak graphics/diff-pdf

wxWidgets 3.0 isn't actually required and it builds and runs fine with 2.8.
Loosen the version requirement in configure.ac.

PR:		229902
Approved by:	Zsolt Udvari <uzsolt@uzsolt.hu> (maintainer)
20 Jul 2018 08:19:55
Original commit files touched by this commit  0.2.27
Revision:474995
antoine search for other commits by this committer
Mark BROKEN: fails to configure

checking for wxWidgets version >= 3.0.0... no (version 2.8.12 is not new enough)
configure: error: wxWidgets is required

Reported by:	pkg-fallout
17 Jul 2018 17:52:25
Original commit files touched by this commit  0.2.27
Revision:474820
yuri search for other commits by this committer
New port: graphics/diff-pdf: Tool for visually comparing two PDFs

PR:		229757
Submitted by:	Zsolt Udvari <uzsolt@uzsolt.hu>

Number of commits found: 12

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD

This site
What is FreshPorts?
About the authors
Issues
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
nodeAug 21
node10Aug 21
node8Aug 21
vlcAug 20
nsdAug 19
libgit2Aug 18
xdmAug 18
apache24Aug 17
userminAug 17
webminAug 17
cupsAug 16
libnghttp2Aug 16
nghttp2Aug 16
doas*Aug 15
traefikAug 15

17 vulnerabilities affecting 112 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities

Last updated:
2019-08-20 23:22:39


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 37335
Broken 455
Deprecated 160
Ignore 713
Forbidden 3
Restricted 162
No CDROM 74
Vulnerable 32
Expired 8
Set to expire 130
Interactive 0
new 24 hours 1
new 48 hours6
new 7 days55
new fortnight84
new month148

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2019 Dan Langille. All rights reserved.